Chat Model List
Returns the currently available chat model catalog, including each model’s provider channel, applicable scenes, input and output modalities, credit scope, and pricing. Models and capabilities may change as the service is updated, so use the real-time response from this endpoint when calling a chat API.
This endpoint only queries the model catalog and does not start a model conversation. To call a model, choose the OpenAI Chat, Anthropic Chat, or Gemini chat endpoint according to the protocol you use.
curl --request GET \
--url https://aitoearn.cn/api/ai/models/chatimport requests
url = "https://aitoearn.cn/api/ai/models/chat"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://aitoearn.cn/api/ai/models/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/models/chat"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": [
{
"name": "string",
"label": "string",
"tags": [
"string"
],
"channel": "string",
"creditsScope": "string",
"scenes": [
"string"
],
"inputModalities": [
"string"
],
"outputModalities": [
"string"
],
"pricing": {
"tiers": [
{
"maxInputTokens": "number",
"input": {
"text": "string",
"image": "string",
"video": "string",
"audio": "string",
"cacheRead": "string",
"cacheWrite5m": "string",
"cacheWrite1h": "string"
},
"output": {
"text": "string",
"image": "string"
}
}
],
"originPricing": {
"tiers": [
{
"input": {
"text": "string",
"image": "string",
"video": "string",
"audio": "string",
"cacheRead": "string",
"cacheWrite5m": "string",
"cacheWrite1h": "string"
},
"output": {
"text": "string",
"image": "string"
}
}
]
}
},
"description": "string",
"fixedImagePricing": [
{
"resolution": "string",
"price": "number"
}
]
}
],
"requestId": "string"
}Response
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
The currently available chat models. Models, capabilities, and pricing may change as the service is updated; always use the latest response from this endpoint.
Hide child attributes
Hide child attributes
Model name
Model display name
tag list
Model provider channel
openai, deepseek, anthropic, gemini Credit scope used by the model. general means general credits, and seedance means Seedance-specific credits.
general, seedance Applicable scenarios
web, comment, draft-generation, plugin Support input modal
text, image, audio, video Support output modal
text, image Model description
Business status code. 0 means success; non-zero means a business error.
Response message.
Request ID.
Error response timestamp in Unix milliseconds.
curl --request GET \
--url https://aitoearn.cn/api/ai/models/chatimport requests
url = "https://aitoearn.cn/api/ai/models/chat"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://aitoearn.cn/api/ai/models/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/models/chat"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": [
{
"name": "string",
"label": "string",
"tags": [
"string"
],
"channel": "string",
"creditsScope": "string",
"scenes": [
"string"
],
"inputModalities": [
"string"
],
"outputModalities": [
"string"
],
"pricing": {
"tiers": [
{
"maxInputTokens": "number",
"input": {
"text": "string",
"image": "string",
"video": "string",
"audio": "string",
"cacheRead": "string",
"cacheWrite5m": "string",
"cacheWrite1h": "string"
},
"output": {
"text": "string",
"image": "string"
}
}
],
"originPricing": {
"tiers": [
{
"input": {
"text": "string",
"image": "string",
"video": "string",
"audio": "string",
"cacheRead": "string",
"cacheWrite5m": "string",
"cacheWrite1h": "string"
},
"output": {
"text": "string",
"image": "string"
}
}
]
}
},
"description": "string",
"fixedImagePricing": [
{
"resolution": "string",
"price": "number"
}
]
}
],
"requestId": "string"
}
